diff -N -P -r -c rtems-4.6.4/ChangeLog rtems-4.6.5/ChangeLog
*** rtems-4.6.4/ChangeLog	Thu Sep  1 12:18:50 2005
--- rtems-4.6.5/ChangeLog	Thu Oct  6 14:43:29 2005
***************
*** 1,3 ****
--- 1,20 ----
+ 2005-10-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* VERSION: Updated to rtems-4.6.5.
+ 
+ 2005-10-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.5.
+ 
+ 2005-10-05  Jiri Gaisler <jiri@gaisler.com>
+             Edvin Catovic <edvin@gaisler.com>
+             Konrad Eisele <konrad@gaisler.com>
+ 
+ 	PR 827/bsps
+ 	* aclocal/bsp-alias.m4, aclocal/check-bsps.m4: Portion of large update
+ 	of SPARC BSPs. Includes addition of sis, leon2 and leon3 BSPs,
+ 	deletion of leon BSP, addition of SMC91111 NIC driver and much more.
+ 
  2005-09-01	Joel Sherrill <joel@OARcorp.com>
  
  	* VERSION: Updated to rtems-4.6.4.
***************
*** 825,831 ****
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of ChangeLog,v 1.178.2.67 2005/09/01 17:18:50 joel Exp -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
--- 842,848 ----
  
  2001-11-13	Joel Sherrill <joel@OARcorp.com>
  
! 	* COPYING: Test of ChangeLog,v 1.178.2.70 2005/10/06 19:43:29 joel Exp -> $RTEMS$.
  
  2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
  
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/i386/pc386/ChangeLog rtems-4.6.5/c/src/lib/libbsp/i386/pc386/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/i386/pc386/ChangeLog	Thu Sep  1 08:20:47 2005
--- rtems-4.6.5/c/src/lib/libbsp/i386/pc386/ChangeLog	Tue Oct  4 21:39:35 2005
***************
*** 1,3 ****
--- 1,22 ----
+ 2005-08-23  Karel Gardas  <kgardas@objectsecurity.com>>
+ 
+ 	* timer/timer.c: Enhance to use either interupt-based timer
+ 	functions on older CPUs or to use TSC-based timer functions on
+ 	more recent (Pentium and above) CPUs. The decision is made in
+ 	Timer_initialize function when it is called for the first time
+ 	based on a result obtained from cpuid instruction during the BSP
+ 	initialization phase. During the first call, there are also late
+ 	bindings to the implementation functions initialized to
+ 	appropriate values.
+ 
+ 2005-09-29	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR649/filesystem
+ 	* ide/idecfg.c: added configuration items for primary/secondary
+ 	IDE interface
+ 	* configure.ac: added configuration items for primary/secondary
+ 	IDE interface
+ 	
  2005-09-01	Joel Sherrill <joel@OARcorp.com>
  
  	* clock/Makefile.am, include/Makefile.am: Install tod.h
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog rtems-4.6.5/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	Fri Dec 19 07:54:03 2003
--- rtems-4.6.5/c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	Thu Oct  6 14:35:42 2005
***************
*** 1,3 ****
--- 1,12 ----
+ 2005-10-06	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 833/bsps
+ 	* irq/irq_asm.S: Currently, all (new exception) BSPs explicitely enable
+ 	the FPU across the user ISR but DONT save/restore the FPU context.
+ 	Any use of the FPU fron the user handler (e.g., due to GCC
+ 	optimizations) result in corruption. The fix results in an exception
+ 	in such cases (user ISR must explicitely save/enable/restore FPU).
+ 
  2003-12-19	Joel Sherrill <joel@OARcorp.com>
  
  	PR 545/bsps
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog rtems-4.6.5/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	Mon Dec 29 07:22:18 2003
--- rtems-4.6.5/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	Thu Oct  6 14:35:58 2005
***************
*** 1,3 ****
--- 1,23 ----
+ 2005-10-06	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 833/bsps
+ 	* irq/irq_asm.S: Currently, all (new exception) BSPs explicitely enable
+ 	the FPU across the user ISR but DONT save/restore the FPU context.
+ 	Any use of the FPU fron the user handler (e.g., due to GCC
+ 	optimizations) result in corruption. The fix results in an exception
+ 	in such cases (user ISR must explicitely save/enable/restore FPU).
+ 
+ 2005-09-12	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR 527/bsps
+ 	PR 822/bsps
+ 	* console/console.c, startup/bspstart.c, startup/imbx8xx.c,
+ 	startup/mmutlbtab.c, startup/start.S, vectors/vectors_init.c:
+ 	Currently the MBX8xx BSP does not boot, because some logical errors
+ 	are in the startup code. Additionally, the mpc8xx shared clock driver
+ 	does not support the clocking scheme of some of the board variants,
+ 	which are clocked from a 32768Hz (!) external crystal.
+ 
  2003-12-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* startup/Makefile.am: start.S instead of start.s.
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog rtems-4.6.5/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	Mon Sep 27 16:52:24 2004
--- rtems-4.6.5/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	Thu Oct  6 14:36:09 2005
***************
*** 1,3 ****
--- 1,12 ----
+ 2005-10-06	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 833/bsps
+ 	* irq/irq_asm.S: Currently, all (new exception) BSPs explicitely enable
+ 	the FPU across the user ISR but DONT save/restore the FPU context.
+ 	Any use of the FPU fron the user handler (e.g., due to GCC
+ 	optimizations) result in corruption. The fix results in an exception
+ 	in such cases (user ISR must explicitely save/enable/restore FPU).
+ 
  2004-09-27	Joel Sherrill <joel@OARcorp.com>
  
  	PR 680/bsps
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/powerpc/shared/ChangeLog rtems-4.6.5/c/src/lib/libbsp/powerpc/shared/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/powerpc/shared/ChangeLog	Thu Sep  1 08:22:17 2005
--- rtems-4.6.5/c/src/lib/libbsp/powerpc/shared/ChangeLog	Thu Oct  6 14:35:34 2005
***************
*** 1,3 ****
--- 1,12 ----
+ 2005-10-06	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 833/bsps
+ 	* irq/irq_asm.S: Currently, all (new exception) BSPs explicitely enable
+ 	the FPU across the user ISR but DONT save/restore the FPU context.
+ 	Any use of the FPU fron the user handler (e.g., due to GCC
+ 	optimizations) result in corruption. The fix results in an exception
+ 	in such cases (user ISR must explicitely save/enable/restore FPU).
+ 
  2005-09-01	Joel Sherrill <joel@OARcorp.com>
  
  	* include/bsp.h: This file is only to be used by BSPs with the new
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/shared/ChangeLog rtems-4.6.5/c/src/lib/libbsp/shared/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/shared/ChangeLog	Fri Aug 19 11:20:00 2005
--- rtems-4.6.5/c/src/lib/libbsp/shared/ChangeLog	Fri Sep  9 06:19:24 2005
***************
*** 1,3 ****
--- 1,8 ----
+ 2005-09-09	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 577/bsps
+ 	* console.c: Make the previously committed patch for this PR compile.
+ 
  2005-08-19	Cedric Aubert <cedric_aubert@yahoo.fr>
  
  	PR 577/bsps
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/sparc/ChangeLog rtems-4.6.5/c/src/lib/libbsp/sparc/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/sparc/ChangeLog	Mon Aug 11 09:37:04 2003
--- rtems-4.6.5/c/src/lib/libbsp/sparc/ChangeLog	Wed Oct  5 14:26:30 2005
***************
*** 1,3 ****
--- 1,30 ----
+ 2005-10-05  Jiri Gaisler <jiri@gaisler.com>
+             Edvin Catovic <edvin@gaisler.com>
+             Konrad Eisele <konrad@gaisler.com>
+ 
+ 	PR 827/bsps
+ 	* .cvsignore, acinclude.m4: Portion of large update of SPARC BSPs.
+ 	Includes addition of sis, leon2 and leon3 BSPs, deletion of leon BSP,
+ 	addition of SMC91111 NIC driver and much more.
+ 	* leon/.cvsignore, leon/ChangeLog, leon/Makefile.am, leon/README,
+ 	leon/bsp_specs, leon/configure.ac, leon/times, leon/clock/.cvsignore,
+ 	leon/clock/Makefile.am, leon/clock/ckinit.c, leon/console/.cvsignore,
+ 	leon/console/Makefile.am, leon/console/console.c,
+ 	leon/console/consolereserveresources.c, leon/console/debugputs.c,
+ 	leon/gnatsupp/.cvsignore, leon/gnatsupp/Makefile.am,
+ 	leon/gnatsupp/gnatsupp.c, leon/include/.cvsignore,
+ 	leon/include/Makefile.am, leon/include/bsp.h, leon/include/coverhd.h,
+ 	leon/include/leon.h, leon/leon_open_eth/.cvsignore,
+ 	leon/leon_open_eth/Makefile.am, leon/leon_open_eth/leon_open_eth.c,
+ 	leon/start/.cvsignore, leon/start/Makefile.am,
+ 	leon/startup/.cvsignore, leon/startup/Makefile.am,
+ 	leon/startup/boardinit.S, leon/startup/linkcmds,
+ 	leon/startup/setvec.c, leon/startup/spurious.c,
+ 	leon/timer/.cvsignore, leon/timer/Makefile.am, leon/timer/timer.c,
+ 	leon/tools/.cvsignore, leon/tools/ChangeLog, leon/tools/Makefile.am,
+ 	leon/tools/configure.ac, leon/tools/runtest.in,
+ 	leon/wrapup/.cvsignore, leon/wrapup/Makefile.am: Removed.
+ 
  2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
  
  	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/sparc/erc32/ChangeLog rtems-4.6.5/c/src/lib/libbsp/sparc/erc32/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/sparc/erc32/ChangeLog	Thu Sep  4 13:45:35 2003
--- rtems-4.6.5/c/src/lib/libbsp/sparc/erc32/ChangeLog	Wed Oct  5 14:25:07 2005
***************
*** 1,3 ****
--- 1,32 ----
+ 2005-10-05  Jiri Gaisler <jiri@gaisler.com>
+             Edvin Catovic <edvin@gaisler.com>
+             Konrad Eisele <konrad@gaisler.com>
+ 
+ 	PR 827/bsps
+ 	* ChangeLog, configure.ac, console/Makefile.am, console/console.c,
+ 	console/debugputs.c, startup/Makefile.am, startup/linkcmds,
+ 	tools/Makefile.am: Portion of large update of SPARC BSPs. Includes
+ 	addition of sis, leon2 and leon3 BSPs, deletion of leon BSP, addition
+ 	of SMC91111 NIC driver and much more.
+ 
+ 
+ 2005-01-20      Jiri Gaisler <jiri@gaisler.com>
+ 
+         Added support for printk in console/console.c
+ 
+ 2004-11-17      Edvin Catovic <edvin@gaisler.com>
+ 
+         Removed obsolete startup/boardinit.S
+ 
+ 
+ 2004-06-16	Edvin Catovic <edvin@gaisler.com>
+ 
+ 	* Makefile.am: Added bspstart (moved here from ../shared)
+ 	* configure.ac: Added bspstart/Makefile
+ 	* bspstart/bspstart.c: Moved here from ../shared
+ 	* bspstart/Makefile.am: New file
+ 	* wrapup/Makefile.am: Included bspstart	in BSP_PIECES
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* clock/ckinit.c, console/console.c, console/consolereserveresources.c,
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/sparc/leon/ChangeLog rtems-4.6.5/c/src/lib/libbsp/sparc/leon/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/sparc/leon/ChangeLog	Wed Dec 10 00:51:55 2003
--- rtems-4.6.5/c/src/lib/libbsp/sparc/leon/ChangeLog	Wed Dec 31 18:00:00 1969
***************
*** 1,242 ****
- 2003-12-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	PR 538/bsps:
- 	* wrapup/Makefile.am: Add $(NETWORKING_DRIVER) instead of $(NETWORK)
- 	to BSP_PIECES.
- 
- 2003-09-04	Joel Sherrill <joel@OARcorp.com>
- 
- 	* clock/ckinit.c, console/console.c, console/consolereserveresources.c,
- 	console/debugputs.c, include/bsp.h, include/coverhd.h,
- 	include/leon.h, startup/setvec.c, timer/timer.c: URL for license
- 	changed.
- 
- 2003-09-04	Joel Sherrill <joel@OARcorp.com>
- 
- 	* include/bsp.h: Removed incorrect statement about copyright
- 	assignment.
- 
- 2003-09-03	Jiri Gaisler <jiri@gaisler.com>
- 
- 	PR 477/networking
- 	* Makefile.am, configure.ac, console/console.c, include/bsp.h,
- 	startup/setvec.c, wrapup/Makefile.am: Add network support and enable
- 	custom power down.
- 	* leon_open_eth/.cvsignore, leon_open_eth/Makefile.am,
- 	leon_open_eth/leon_open_eth.c: New files.
- 
- 2003-08-22	Joel Sherrill <joel@OARcorp.com>
- 
- 	PR 445/bsps
- 	* bsp_specs: Hand edited to duplicate change Ralf applied to the CVS
- 	trunk.
- 
- 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
- 
- 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
- 
- 2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
- 
- 2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: AC_PREREQ(2.57).
- 
- 2003-01-20	Joel Sherrill <joel@OARcorp.com>
- 
- 	* startup/linkcmds*: Add FreeBSD sysctl() sections.
- 
- 2002-12-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* clock/Makefile.am: Don't include @RTEMS_BSP@.cfg.
- 	* console/Makefile.am: Don't include @RTEMS_BSP@.cfg.
- 	* gnatsupp/Makefile.am: Don't include @RTEMS_BSP@.cfg.
- 	* start/Makefile.am: Don't include @RTEMS_BSP@.cfg.
- 	* startup/Makefile.am: Don't include @RTEMS_BSP@.cfg.
- 	* timer/Makefile.am: Don't include @RTEMS_BSP@.cfg.
- 
- 2002-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* start/Makefile.am: Use install-data-local to install startfile.
- 
- 2002-12-10	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* wrapup/Makefile.am: Don't include @RTEMS_BSP@.cfg.
- 
- 2002-11-01	Joel Sherrill <joel@OARcorp.com>
- 
- 	* gnatsupp/gnatsupp.c, startup/spurious.c: Removed warnings.
- 
- 2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* .cvsignore: Reformat.
- 	Add autom4te*cache.
- 	Remove autom4te.cache.
- 
- 2002-08-21	Joel Sherrill <joel@OARcorp.com>
- 
- 	* bsp_specs: Added support for -nostdlibs.
- 
- 2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
-  	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
- 
- 2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
-  	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
-  	* gnatsupp/Makefile.am: Use .$(OBJEXT) instead of .o.
-  	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
-  	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
-  	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
- 
- 2002-07-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* start/Makefile.am: Eliminate PGM.
- 	Add bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o.
- 
- 2002-07-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* startup/Makefile.am: Add bsplib_DATA = linkcmds.
- 
- 2002-07-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* wrapup/Makefile.am: Eliminate TMPINSTALL_FILES.
- 	Remove $(OBJS) from all-local.
- 
- 2002-06-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* wrapup/Makefile.am: Remove preinstallation of libbsp.a,
- 
- 2001-05-09	Joel Sherrill <joel@OARcorp.com>
- 
- 	* startup/linkcmds: In support of gcc 3.1, added one of more
- 	of the sections .jcr, .rodata*, .data.*, .gnu.linkonce.s2.*,
- 	.gnu.linkonce.sb2.*, and .gnu.linkonce.s.*.  Spacing corrections
- 	and direction of segments to memory regions may also have been
- 	addressed.  This was a sweep across all BSPs.
-  
- 2002-04-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: Remove BSPOPTS_*(NO_TABLE_MOVE).
- 	Remove BSPOPTS_*(FPU_REVB).
- 	* wrapup/Makefile.am: Remove tbr.
- 
- 2002-03-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: Add BSPOPTS_*(NO_TABLE_MOVE).
- 	Add BSPOPTS_*(FPU_REVB).
- 	* wrapup/Makefile.am: Add tbr.
- 
- 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac:
- 	AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
- 	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
- 	* clock/Makefile.am: Remove AUTOMAKE_OPTIONS.
- 	* Makefile.am: Remove AUTOMAKE_OPTIONS.
- 	* console/Makefile.am: Remove AUTOMAKE_OPTIONS.
- 	* gnatsupp/Makefile.am: Remove AUTOMAKE_OPTIONS.
- 	* include/Makefile.am: Remove AUTOMAKE_OPTIONS.
- 	* start/Makefile.am: Remove AUTOMAKE_OPTIONS.
- 	* startup/Makefile.am: Remove AUTOMAKE_OPTIONS.
- 	* timer/Makefile.am: Remove AUTOMAKE_OPTIONS.
- 	* wrapup/Makefile.am: Remove AUTOMAKE_OPTIONS.
- 
- 2002-02-05	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: Remove NETWORKING support.
- 	* wrapup/Makefile.am: Remove NETWORKING support.
- 
- 2001-12-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: Add RTEMS_BSPOPTS*(CONSOLE_USE_INTERRUPTS).
- 	Add RTEMS_BSPOPTS*(SIMSPARC_FAST_IDLE).
- 	Remove RTEMS_OUTPUT_BUILD_SUBDIRS.
- 	* include/bsp.h: include bspopts.h.
- 
- 2001-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: Introduce RTEMS_BSP_CONFIGURE.
- 
- 2001-11-08	Jiri Gaisler <jiri@gaisler.com>
- 
- 	This fix is in response to test results reported by Jerry Needell
- 	<jerry.needell@unh.edu> for the SPARC/ERC32 and tracked as PR80.
- 	* include/bsp.h: TM27 was not running properly because the ERC32
- 	and LEON cannot nest interrupts at the same level.  The BSP test support
- 	had to be modified to support using two different interrupt sources.
- 
- 2001-10-12	Joel Sherrill <joel@OARcorp.com>
- 
- 	* clock/ckinit.c, console/console.c, include/bsp.h, include/leon.h,
- 	startup/setvec.c, timer/timer.c: Fixed typo.
- 
- 2001-10-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* .cvsignore: Add autom4te.cache for autoconf > 2.52.
- 	* configure.in: Remove.
- 	* configure.ac: New file, generated from configure.in by autoupdate.
- 
- 2001-09-27	Joel Sherrill <joel@OARcorp.com>
- 
- 	* include/bsp.h: Renamed delay() to rtems_bsp_delay().
- 
- 2001-09-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* include/Makefile.am: Use 'PREINSTALL_FILES ='.
- 
- 2001-05-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.in: Add bspopts.h.
- 	* include/.cvsignore: Add bspopts.h*, stamp-h*.
- 	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
- 	* include/bsp.h: Include bspopts.h.
- 
- 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
- 
- 	* configure.in: Use RTEMS_PROG_CC_FOR_TARGET([-ansi -fasm]).
- 
- 2000-04-23	Jiri Gaisler <jiri@gaisler.com>
- 
- 	* console/debugputs.c: Switched to unsigned characters.
- 
- 2000-12-06	Joel Sherrill <joel@OARcorp.com>
- 
- 	* console/console.c: Removed console_reserve_resources().
- 
- 2000-11-13	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* include/Makefile.am: Cleanup.
- 
- 2000-11-14	Jiri Gaisler <jgais@ws.estec.esa.nl>
- 
- 	* wrapup/Makefile.am: Pick up cache code from libcpu and pick
- 	up .o's instead of .rel's from libcpu.
- 
- 2000-11-14	Jiri Gaisler <jgais@ws.estec.esa.nl>
- 
- 	* startup/boardinit.S: St 32-bit ram width by default.
- 
- 2000-11-13	Jiri Gaisler <jgais@ws.estec.esa.nl>
- 
- 	* .cvsignore, ChangeLog, Makefile.am, README, bsp_specs,
- 	configure.in, times, clock/.cvsignore, clock/Makefile.am,
- 	clock/ckinit.c, console/.cvsignore, console/Makefile.am,
- 	console/console.c, console/consolereserveresources.c,
- 	console/debugputs.c, gnatsupp/.cvsignore,
- 	gnatsupp/Makefile.am, gnatsupp/gnatsupp.c,
- 	include/.cvsignore, include/Makefile.am, include/bsp.h,
- 	include/coverhd.h, include/leon.h, start/.cvsignore,
- 	start/Makefile.am, startup/.cvsignore, startup/Makefile.am,
- 	startup/boardinit.S, startup/linkcmds, startup/setvec.c,
- 	startup/spurious.c, timer/.cvsignore, timer/Makefile.am,
- 	timer/timer.c, tools/.cvsignore, tools/Makefile.am,
- 	tools/configure.in, tools/runtest.in, wrapup/.cvsignore,
- 	wrapup/Makefile.am: New file.
--- 0 ----
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/sparc/leon/tools/ChangeLog rtems-4.6.5/c/src/lib/libbsp/sparc/leon/tools/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/sparc/leon/tools/ChangeLog	Thu Aug 14 08:13:04 2003
--- rtems-4.6.5/c/src/lib/libbsp/sparc/leon/tools/ChangeLog	Wed Dec 31 18:00:00 1969
***************
*** 1,52 ****
- 2003-08-14	Joel Sherrill <joel@OARcorp.com>
- 
- 	* runtest.in: Add fileio to list of interactive tests.
- 
- 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
- 
- 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: Remove AC_CONFIG_AUX_DIR.
- 
- 2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
- 
- 2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac: AC_PREREQ(2.57).
- 
- 2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* .cvsignore: Reformat.
- 	Add autom4te*cache.
- 	Remove autom4te.cache.
- 
- 2002-07-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* Makefile.am: Add transform and bsptools_bindir hacks.
- 	* configure.ac: Add RTEMS_ENV_RTEMSBSP.
- 
- 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* configure.ac:
- 	AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
- 	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
- 	* Makefile.am: Remove AUTOMAKE_OPTIONS.
- 
- 2001-10-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* .cvsignore: Add autom4te.cache for autoconf > 2.52.
- 	* configure.in: Remove.
- 	* configure.ac: New file, generated from configure.in by autoupdate.
- 
- 2001-09-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
- 
- 	* Makefile.am: Use 'TMPINSTALL_FILES ='.
- 
- 2001-09-14	Joel Sherrill <joel@OARcorp.com>
- 
- 	* ChangeLog: New file.
- 
--- 0 ----
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/sparc/leon2/ChangeLog rtems-4.6.5/c/src/lib/libbsp/sparc/leon2/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/sparc/leon2/ChangeLog	Wed Dec 31 18:00:00 1969
--- rtems-4.6.5/c/src/lib/libbsp/sparc/leon2/ChangeLog	Thu Oct  6 07:08:15 2005
***************
*** 0 ****
--- 1,26 ----
+ 2005-10-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* include/bsp.h: Remove include of libchip/smc91111exp.h from bsp.h
+ 	since it is not available when networking is disabled.
+ 
+ 2005-10-05  Jiri Gaisler <jiri@gaisler.com>
+             Edvin Catovic <edvin@gaisler.com>
+             Konrad Eisele <konrad@gaisler.com>
+ 
+ 	PR 827/bsps
+ 	* .cvsignore, ChangeLog, Makefile.am, README, bsp_specs, configure.ac,
+ 	times, clock/.cvsignore, clock/Makefile.am, clock/ckinit.c,
+ 	console/.cvsignore, console/Makefile.am, console/console.c,
+ 	console/consolereserveresources.c, console/debugputs.c,
+ 	gnatsupp/.cvsignore, gnatsupp/Makefile.am, gnatsupp/gnatsupp.c,
+ 	include/.cvsignore, include/Makefile.am, include/bsp.h,
+ 	include/coverhd.h, include/leon.h, leon_open_eth/.cvsignore,
+ 	leon_open_eth/Makefile.am, leon_open_eth/leon_open_eth.c,
+ 	leon_smc91111/.cvsignore, leon_smc91111/Makefile.am,
+ 	leon_smc91111/leon_smc91111.c, start/.cvsignore, start/Makefile.am,
+ 	startup/.cvsignore, startup/Makefile.am, startup/linkcmds,
+ 	startup/setvec.c, startup/spurious.c, timer/.cvsignore,
+ 	timer/Makefile.am, timer/timer.c, tools/.cvsignore, tools/ChangeLog,
+ 	tools/Makefile.am, tools/configure.ac, tools/runtest.in,
+ 	wrapup/.cvsignore, wrapup/Makefile.am: New files.
+ 
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/sparc/leon2/tools/ChangeLog rtems-4.6.5/c/src/lib/libbsp/sparc/leon2/tools/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/sparc/leon2/tools/ChangeLog	Wed Dec 31 18:00:00 1969
--- rtems-4.6.5/c/src/lib/libbsp/sparc/leon2/tools/ChangeLog	Wed Oct  5 18:02:08 2005
***************
*** 0 ****
--- 1,5 ----
+ 2005-10-05	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* ChangeLog, Makefile.am: Fix hard-coded reference to leon BSP and use
+ 	generated path. Remove ChangeLog entries copied from erc32.
+ 
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/sparc/leon3/ChangeLog rtems-4.6.5/c/src/lib/libbsp/sparc/leon3/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/sparc/leon3/ChangeLog	Wed Dec 31 18:00:00 1969
--- rtems-4.6.5/c/src/lib/libbsp/sparc/leon3/ChangeLog	Wed Oct  5 17:34:50 2005
***************
*** 0 ****
--- 1,41 ----
+ 2005-10-05	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* amba/amba.c: Fix obvious typo introduced with addition of missing CVS
+ 	Ids.
+ 
+ 2005-10-05  Jiri Gaisler <jiri@gaisler.com>
+             Edvin Catovic <edvin@gaisler.com>
+             Konrad Eisele <konrad@gaisler.com>
+ 
+ 	PR 827/bsps
+ 	* .cvsignore, ChangeLog, Makefile.am, README, bsp_specs, configure.ac,
+ 	times, amba/.cvsignore, amba/Makefile.am, amba/amba.c,
+ 	clock/.cvsignore, clock/Makefile.am, clock/ckinit.c,
+ 	console/.cvsignore, console/Makefile.am, console/console.c,
+ 	console/consolereserveresources.c, console/debugputs.c,
+ 	gnatsupp/.cvsignore, gnatsupp/Makefile.am, gnatsupp/gnatsupp.c,
+ 	include/.cvsignore, include/Makefile.am, include/amba.h,
+ 	include/bsp.h, include/coverhd.h, include/leon.h,
+ 	leon_open_eth/.cvsignore, leon_open_eth/Makefile.am,
+ 	leon_open_eth/leon_open_eth.c, leon_smc91111/.cvsignore,
+ 	leon_smc91111/Makefile.am, leon_smc91111/leon_smc91111.c,
+ 	start/.cvsignore, start/Makefile.am, startup/.cvsignore,
+ 	startup/Makefile.am, startup/bspstart.c, startup/ithread.S,
+ 	startup/linkcmds, startup/setvec.c, startup/spurious.c,
+ 	timer/.cvsignore, timer/Makefile.am, timer/timer.c, tools/.cvsignore,
+ 	tools/ChangeLog, tools/Makefile.am, tools/configure.ac,
+ 	tools/runtest.in, wrapup/.cvsignore, wrapup/Makefile.am: New files.
+ 
+ 2005-01-20      Jiri Gaisler <jiri@gaisler.com>
+ 
+         Added support for printk in console/console.c
+ 
+ 2004-11-17      Edvin Catovic <edvin@gaisler.com>
+ 
+         Removed obsolete startup/boardinit.S
+ 	Added power-down support
+ 
+ 2004-06-16	Edvin Catovic <edvin@gaisler.com>
+ 
+ 	* Added LEON3 BSP.
+ 
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/sparc/leon3/tools/ChangeLog rtems-4.6.5/c/src/lib/libbsp/sparc/leon3/tools/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/sparc/leon3/tools/ChangeLog	Wed Dec 31 18:00:00 1969
--- rtems-4.6.5/c/src/lib/libbsp/sparc/leon3/tools/ChangeLog	Thu Oct  6 11:51:37 2005
***************
*** 0 ****
--- 1,5 ----
+ 2005-10-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* ChangeLog, Makefile.am: Fix hard-coded reference to leon BSP and use
+ 	generated path. Remove ChangeLog entries copied from erc32.
+ 
diff -N -P -r -c rtems-4.6.4/c/src/lib/libbsp/sparc/shared/ChangeLog rtems-4.6.5/c/src/lib/libbsp/sparc/shared/ChangeLog
*** rtems-4.6.4/c/src/lib/libbsp/sparc/shared/ChangeLog	Thu Sep  4 13:45:39 2003
--- rtems-4.6.5/c/src/lib/libbsp/sparc/shared/ChangeLog	Wed Oct  5 14:24:48 2005
***************
*** 1,3 ****
--- 1,12 ----
+ 2005-10-05  Jiri Gaisler <jiri@gaisler.com>
+             Edvin Catovic <edvin@gaisler.com>
+             Konrad Eisele <konrad@gaisler.com>
+ 
+ 	PR 827/bsps
+ 	* Makefile.am, bspstart.c, gnatcommon.c, start.S: Portion of large
+ 	update of SPARC BSPs. Includes addition of sis, leon2 and leon3 BSPs,
+ 	deletion of leon BSP, addition of SMC91111 NIC driver and much more.
+ 
  2003-09-04	Joel Sherrill <joel@OARcorp.com>
  
  	* bspclean.c, bspstart.c: URL for license changed.
diff -N -P -r -c rtems-4.6.4/c/src/lib/libcpu/powerpc/ChangeLog rtems-4.6.5/c/src/lib/libcpu/powerpc/ChangeLog
*** rtems-4.6.4/c/src/lib/libcpu/powerpc/ChangeLog	Fri Aug 12 18:44:54 2005
--- rtems-4.6.5/c/src/lib/libcpu/powerpc/ChangeLog	Tue Oct  4 21:34:17 2005
***************
*** 1,3 ****
--- 1,13 ----
+ 2005-09-12	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR 527/bsps
+ 	PR 822/bsps
+ 	* mpc8xx/clock/clock.c: Currently the MBX8xx BSP does not boot,
+ 	because some logical errors are in the startup code. Additionally,
+ 	the mpc8xx shared clock driver does not support the clocking scheme
+ 	of some of the board variants, which are clocked from a
+ 	32768Hz (!) external crystal.
+ 
  2005-08-12	Phil Torre <ptorre@zetron.com>
  
  	PR 816/bsps
diff -N -P -r -c rtems-4.6.4/c/src/libchip/ChangeLog rtems-4.6.5/c/src/libchip/ChangeLog
*** rtems-4.6.4/c/src/libchip/ChangeLog	Thu Apr 28 09:56:36 2005
--- rtems-4.6.5/c/src/libchip/ChangeLog	Wed Oct  5 14:29:23 2005
***************
*** 1,3 ****
--- 1,15 ----
+ 2005-10-05  Jiri Gaisler <jiri@gaisler.com>
+             Edvin Catovic <edvin@gaisler.com>
+             Konrad Eisele <konrad@gaisler.com>
+ 
+ 	PR 827/bsps
+ 	* network/Makefile.am, network/open_eth.c, network/open_eth.h: Portion
+ 	of large update of SPARC BSPs. Includes addition of sis, leon2 and
+ 	leon3 BSPs, deletion of leon BSP, addition of SMC91111 NIC driver and
+ 	much more.
+ 	* network/README.smc91111, network/smc91111.c, network/smc91111.h,
+ 	network/smc91111config.h, network/smc91111exp.h: New files.
+ 
  2005-04-28      Jennifer Averett <jennifer.averett@oarcorp.com>
  
          PR 781/misc
diff -N -P -r -c rtems-4.6.4/cpukit/ChangeLog rtems-4.6.5/cpukit/ChangeLog
*** rtems-4.6.4/cpukit/ChangeLog	Thu Sep  1 12:18:49 2005
--- rtems-4.6.5/cpukit/ChangeLog	Thu Oct  6 14:43:28 2005
***************
*** 1,3 ****
--- 1,7 ----
+ 2005-10-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* aclocal/version.m4: Updated to rtems-4.6.5.
+ 
  2005-09-01	Joel Sherrill <joel@OARcorp.com>
  
  	* aclocal/version.m4: Updated to rtems-4.6.4.
diff -N -P -r -c rtems-4.6.4/cpukit/libfs/ChangeLog rtems-4.6.5/cpukit/libfs/ChangeLog
*** rtems-4.6.4/cpukit/libfs/ChangeLog	Wed Aug 17 14:17:37 2005
--- rtems-4.6.5/cpukit/libfs/ChangeLog	Thu Oct  6 07:10:58 2005
***************
*** 1,3 ****
--- 1,8 ----
+ 2005-10-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	PR 828/filesystems
+ 	* src/dosfs/msdos_misc.c: Problem retracted. Revert patch.
+ 
  2005-08-17	Nickolay Semyonov <snob@oktetlabs.ru>
  
  	PR 744/filesystem
diff -N -P -r -c rtems-4.6.4/cpukit/rtems/ChangeLog rtems-4.6.5/cpukit/rtems/ChangeLog
*** rtems-4.6.4/cpukit/rtems/ChangeLog	Thu Aug 18 08:39:00 2005
--- rtems-4.6.5/cpukit/rtems/ChangeLog	Tue Oct  4 16:53:58 2005
***************
*** 1,3 ****
--- 1,13 ----
+ 2005-10-04	Till Straumann <strauman@slac.stanford.edu>
+ 
+ 	PR 829/rtems
+ 	* src/tasks.c, src/taskvariabledelete.c: If task variables are deleted
+ 	from a different context (i.e., executing context != owner of the
+ 	task variable. The owner meaning the task that registered the dtor in
+ 	question) the argument passed to the task variable dtor must be tvar
+ 	and not *ptr which yields the executing task's value of the task
+ 	variable instead of the owner's.
+ 
  2005-08-18	Andrew Sinclair <Andrew.Sinclair@elprotech.com>
  
  	PR 807/rtems
diff -N -P -r -c rtems-4.6.4/cpukit/score/cpu/sparc/ChangeLog rtems-4.6.5/cpukit/score/cpu/sparc/ChangeLog
*** rtems-4.6.4/cpukit/score/cpu/sparc/ChangeLog	Thu Apr  8 17:48:01 2004
--- rtems-4.6.5/cpukit/score/cpu/sparc/ChangeLog	Wed Oct  5 14:30:18 2005
***************
*** 1,3 ****
--- 1,20 ----
+ 2005-10-05  Jiri Gaisler <jiri@gaisler.com>
+             Edvin Catovic <edvin@gaisler.com>
+             Konrad Eisele <konrad@gaisler.com>
+ 
+ 	PR 827/bsps
+ 	* ChangeLog, cpu.c, cpu_asm.S, rtems/score/cpu.h: Portion of large
+ 	update of SPARC BSPs. Includes addition of sis, leon2 and leon3 BSPs,
+ 	deletion of leon BSP, addition of SMC91111 NIC driver and much more.
+ 
+ 2004-06-16	Edvin Catovic <edvin@gaisler.com>
+ 
+ 	* cpu_asm.S: Added FP context initialization routine 
+ 	_CPU_Context_initialize_fp
+ 	* cpu.c: Changed FP context initialization. 
+ 	* rtems/score/sparc.h: Defined SPARC_HAS_FPU to be 1 (Non-FP BSPs 
+ 	erc32nfp and leon1 are removed)	
+ 
  2004-02-26	Andreas Karlsson <andreas.karlsson@space.se>
  
  	604/bsps
diff -N -P -r -c rtems-4.6.4/make/ChangeLog rtems-4.6.5/make/ChangeLog
*** rtems-4.6.4/make/ChangeLog	Thu Sep  1 08:39:14 2005
--- rtems-4.6.5/make/ChangeLog	Thu Oct  6 11:52:18 2005
***************
*** 1,3 ****
--- 1,23 ----
+ 2005-10-06	Joel Sherrill <joel@OARcorp.com>
+ 
+ 	* custom/leon3.cfg: New file.
+ 
+ 2005-10-05  Jiri Gaisler <jiri@gaisler.com>
+             Edvin Catovic <edvin@gaisler.com>
+             Konrad Eisele <konrad@gaisler.com>
+ 
+ 	PR 827/bsps
+ 	* custom/Makefile.am, custom/erc32.cfg, custom/erc32nfp.cfg,
+ 	custom/leon1.cfg, custom/leon2.cfg: Portion of large update of SPARC
+ 	BSPs. Includes addition of sis, leon2 and leon3 BSPs, deletion of
+ 	leon BSP, addition of SMC91111 NIC driver and much more.
+ 	* custom/sis.cfg: New file.
+ 
+ 2005-09-12	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
+ 
+ 	PR 822/bsps
+ 	* custom/mbx860_001b.cfg: New file.
+ 
  2005-09-01	Joel Sherrill <joel@OARcorp.com>
  
  	PR 350/make_build
